Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ADataSourceRecord

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ADataRecord
          com.ibm.jzos.recordgen.asm.ADataSourceRecord

    public class ADataSourceRecord

extends ADataRecord

Describes a AData SOURCE record

See Also:
  `ADataRecord`

Field Summary
`protected static BinaryAsIntField` | `_ADSRC_ASM_OPCODE`
`protected static BinaryAsIntField` | `_ADSRC_ESDID`
`protected static BinaryAsIntField` | `_ADSRC_INPUT_NUM`
`protected static BinaryAsIntField` | `_ADSRC_INPUT_REC`
`protected static BinaryAsIntField` | `_ADSRC_LOCTR`
`protected static StringField` | `_ADSRC_MEMBER_NAME`
`protected static StringField` | `_ADSRC_PARENT_NAME`
`protected static BinaryAsIntField` | `_ADSRC_PARENT_NUM`
`protected static BinaryAsIntField` | `_ADSRC_PARENT_ORIGIN`
`protected static BinaryAsIntField` | `_ADSRC_PARENT_REC`
`protected static BinaryAsIntField` | `_ADSRC_PRINT_FLAGS`
`protected static BinaryAsIntField` | `_ADSRC_REC_ORIGIN`
`protected static BinaryAsIntField` | `_ADSRC_REC_TYPE`
`protected static StringField` | `_ADSRC_RECORD`
`protected static BinaryAsIntField` | `_ADSRC_RECORD_LEN`
`protected static BinaryAsIntField` | `_ADSRC_RECORD_OFF`
`protected static BinaryAsIntField` | `_ADSRC_STMT`
`static int` | `ADATA_EDNSOURCE`
`static int` | `ADATA_RECSOURCE`
`static int` | `ADSRC_EQU_LEN`
`static int` | `ADSRC_PRINT_DATA`
`static int` | `ADSRC_PRINT_GEN`
`static int` | `ADSRC_PRINT_MCALL`
`static int` | `ADSRC_PRINT_NOMSOURCE`
`static int` | `ADSRC_PRINT_ON`
`static int` | `ADSRC_PRINT_UHEAD`
`static int` | `ADSRC_REC_AINSERT`
`static int` | `ADSRC_REC_ASM`
`static int` | `ADSRC_REC_COMM`
`static int` | `ADSRC_REC_MAC`
`static int` | `ADSRC_REC_MACD`
`static int` | `ADSRC_REC_MACGEN`
`static int` | `ADSRC_REC_MACH`
`static int` | `ADSRC_REC_MACR`
`static int` | `ADSRC_REC_PINP`
`static int` | `HEADER_LEN`

Fields inherited from class com.ibm.jzos.recordgen.asm.ADataRecord
`_ADATA_CONT, _ADATA_DATA_LEN, _ADATA_EDITION, _ADATA_LEVEL, _ADATA_RECTYPE, _ADATA_VERSION, ADATA_EQU_LEN, ADATA_ISCONT, ADATA_L1, ADATA_L2, ADATA_L3, ADATA_LVL, ADATA_NOTCONT, ADATA_VERASM, bytes, factory`

Constructor Summary
`ADataSourceRecord(byte[] buffer)` Construct an instance on an existing byte array.

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Write a debug dump of the receiver.
`ADataSourceRecord` | `getContinuationRecord()` Answer the (next) continuation ADataSourceRecord.
`ADataDCDSRecord` | `getDCDSRecord()` Answer the associated DCDS record (may be null)
`int` | `getESDID()`
`int` | `getRECORD_LEN()`
`int` | `getRECORD_OFF()`
`java.lang.String` | `getSourceLine()` Answer a String containing the original source line
`int` | `getSTMT()`
`int` | `getSupportedEdition()` Answer the edition number that this (subtype instance) supports.
`ADataSymbolRecord` | `getSymbolRecord()` Answer an associated ADataSymbolRecord (may be null)
`void` | `setContinuationRecord(ADataSourceRecord record)` Set the next continuation ADataSourceRecord.
`void` | `setDCDSRecord(ADataDCDSRecord dcdsRecord)` Sets an associated DCDS record
`void` | `setSymbolRecord(ADataSymbolRecord symbolRecord)` Sets an associated ADataSymbolRecord

Methods inherited from class com.ibm.jzos.recordgen.asm.ADataRecord
`getBytes, getCONT, getDATA_LEN, getEDITION, getLEVEL, getRECTYPE, getVERSION, setBytes, setCONT, setDATA_LEN`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_LEN

    public static final int HEADER_LEN

See Also:
  Constant Field Values

### ADATA_RECSOURCE

    public static final int ADATA_RECSOURCE

See Also:
  Constant Field Values

### ADATA_EDNSOURCE

    public static final int ADATA_EDNSOURCE

See Also:
  Constant Field Values

### _ADSRC_ESDID

    protected static BinaryAsIntField _ADSRC_ESDID

### _ADSRC_STMT

    protected static BinaryAsIntField _ADSRC_STMT

### _ADSRC_INPUT_REC

    protected static BinaryAsIntField _ADSRC_INPUT_REC

### _ADSRC_PARENT_REC

    protected static BinaryAsIntField _ADSRC_PARENT_REC

### _ADSRC_INPUT_NUM

    protected static BinaryAsIntField _ADSRC_INPUT_NUM

### _ADSRC_PARENT_NUM

    protected static BinaryAsIntField _ADSRC_PARENT_NUM

### _ADSRC_LOCTR

    protected static BinaryAsIntField _ADSRC_LOCTR

### _ADSRC_REC_ORIGIN

    protected static BinaryAsIntField _ADSRC_REC_ORIGIN

### ADSRC_REC_PINP

    public static final int ADSRC_REC_PINP

See Also:
  Constant Field Values

### ADSRC_REC_MACGEN

    public static final int ADSRC_REC_MACGEN

See Also:
  Constant Field Values

### ADSRC_REC_MAC

    public static final int ADSRC_REC_MAC

See Also:
  Constant Field Values

### ADSRC_REC_AINSERT

    public static final int ADSRC_REC_AINSERT

See Also:
  Constant Field Values

### _ADSRC_PARENT_ORIGIN

    protected static BinaryAsIntField _ADSRC_PARENT_ORIGIN

### ADSRC_PRINT_GEN

    public static final int ADSRC_PRINT_GEN

See Also:
  Constant Field Values

### ADSRC_PRINT_DATA

    public static final int ADSRC_PRINT_DATA

See Also:
  Constant Field Values

### ADSRC_PRINT_ON

    public static final int ADSRC_PRINT_ON

See Also:
  Constant Field Values

### ADSRC_PRINT_NOMSOURCE

    public static final int ADSRC_PRINT_NOMSOURCE

See Also:
  Constant Field Values

### ADSRC_PRINT_UHEAD

    public static final int ADSRC_PRINT_UHEAD

See Also:
  Constant Field Values

### ADSRC_PRINT_MCALL

    public static final int ADSRC_PRINT_MCALL

See Also:
  Constant Field Values

### _ADSRC_PRINT_FLAGS

    protected static BinaryAsIntField _ADSRC_PRINT_FLAGS

### _ADSRC_REC_TYPE

    protected static BinaryAsIntField _ADSRC_REC_TYPE

### ADSRC_REC_COMM

    public static final int ADSRC_REC_COMM

See Also:
  Constant Field Values

### ADSRC_REC_MACH

    public static final int ADSRC_REC_MACH

See Also:
  Constant Field Values

### ADSRC_REC_ASM

    public static final int ADSRC_REC_ASM

See Also:
  Constant Field Values

### ADSRC_REC_MACR

    public static final int ADSRC_REC_MACR

See Also:
  Constant Field Values

### ADSRC_REC_MACD

    public static final int ADSRC_REC_MACD

See Also:
  Constant Field Values

### _ADSRC_ASM_OPCODE

    protected static BinaryAsIntField _ADSRC_ASM_OPCODE

### _ADSRC_RECORD_OFF

    protected static BinaryAsIntField _ADSRC_RECORD_OFF

### _ADSRC_RECORD_LEN

    protected static BinaryAsIntField _ADSRC_RECORD_LEN

### ADSRC_EQU_LEN

    public static final int ADSRC_EQU_LEN

### _ADSRC_MEMBER_NAME

    protected static StringField _ADSRC_MEMBER_NAME

### _ADSRC_PARENT_NAME

    protected static StringField _ADSRC_PARENT_NAME

### _ADSRC_RECORD

    protected static StringField _ADSRC_RECORD

Constructor Detail

### ADataSourceRecord

    public ADataSourceRecord(byte[] buffer)

  Construct an instance on an existing byte array.

  Parameters:
    `buffer` - the byte array used as backing memory for the structure

Method Detail

### getSupportedEdition

    public int getSupportedEdition()

  Answer the edition number that this (subtype instance) supports.

  Overrides:
    `getSupportedEdition` in class `ADataRecord`

### getSTMT

    public int getSTMT()

### getESDID

    public int getESDID()

### getRECORD_OFF

    public int getRECORD_OFF()

### getRECORD_LEN

    public int getRECORD_LEN()

### getSourceLine

    public java.lang.String getSourceLine()

  Answer a String containing the original source line

  Returns:
    String

### getDCDSRecord

    public ADataDCDSRecord getDCDSRecord()

  Answer the associated DCDS record (may be null)

  Returns:
    ADataDCDSRecord

### setDCDSRecord

    public void setDCDSRecord(ADataDCDSRecord dcdsRecord)

  Sets an associated DCDS record

  Parameters:
    `dcdsRecord` - ADataDCDSRecord

### getSymbolRecord

    public ADataSymbolRecord getSymbolRecord()

  Answer an associated ADataSymbolRecord (may be null)

  Returns:
    ADdataSymbolRecord

### setSymbolRecord

    public void setSymbolRecord(ADataSymbolRecord symbolRecord)

  Sets an associated ADataSymbolRecord

  Parameters:
    `symbolRecord` -

### getContinuationRecord

    public ADataSourceRecord getContinuationRecord()

  Answer the (next) continuation ADataSourceRecord. May be null.

  Returns:
    ADataSourceRecord

### setContinuationRecord

    public void setContinuationRecord(ADataSourceRecord record)

  Set the next continuation ADataSourceRecord.

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Write a debug dump of the receiver.

  Overrides:
    `dumpOn` in class `ADataRecord`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD